> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all work orders

> Returns all work orders, in order of most recently updated



## OpenAPI

````yaml GET /work-orders
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /work-orders:
    get:
      tags:
        - Work Orders
      summary: List All Work Orders
      description: Returns all work orders, in order of most recently updated
      operationId: get-work-orders
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                x-examples:
                  Example 1:
                    - id: 550e8400-e29b-41d4-a716-446655440000
                      name: Ultrawide camera prototype
                      description: Assembly of component A
                      component_id: 79585bb7-45e9-4868-ac3c-fe563aca32b8
                      part_number_id: null
                      status: PRODUCTION
                      phase: PROTO
                      qty: 20
                      approvals:
                        - user_id: 30eb27ac-da58-4bf5-b19c-7b0223604ea1
                          status: APPROVED
                          last_updated_at: '2023-06-17T15:15:35Z'
                        - user_id: d3202f74-d5a9-4f82-8c3c-ff6bce0ff3d0
                          status: APPROVED
                          last_updated_at: '2023-06-17T15:15:35Z'
                      work_order_number: 105
                      assignee: d3202f74-d5a9-4f82-8c3c-ff6bce0ff3d0
                      event_log:
                        - id: 7b2c4072-78d2-11eb-9439-0242ac130002
                          user_id: 30eb27ac-da58-4bf5-b19c-7b0223604ea1
                          message: created work order
                          created_at: '2023-06-17T13:35:20Z'
                          type: CREATED
                        - id: b6a1ca4c-78d2-11eb-9439-0242ac130002
                          user_id: d3202f74-d5a9-4f82-8c3c-ff6bce0ff3d0
                          message: updated the status to Review
                          created_at: '2023-06-17T14:10:30Z'
                          type: STATUS
                        - id: ed810282-78d2-11eb-9439-0242ac130002
                          user_id: 30eb27ac-da58-4bf5-b19c-7b0223604ea1
                          message: set review to approved
                          created_at: '2023-06-17T14:15:15Z'
                          type: REVIEW
                        - id: 23839b52-78d3-11eb-9439-0242ac130002
                          user_id: d3202f74-d5a9-4f82-8c3c-ff6bce0ff3d0
                          message: Looks good to me!
                          created_at: '2023-06-17T14:45:50Z'
                          type: COMMENT
                        - id: 596bd012-78d3-11eb-9439-0242ac130002
                          user_id: 30eb27ac-da58-4bf5-b19c-7b0223604ea1
                          message: started production
                          created_at: '2023-06-17T15:15:35Z'
                          type: OTHER
                items:
                  $ref: '#/components/schemas/Work-order'
              examples: {}
        '401':
          description: Unauthorized
components:
  schemas:
    Work-order:
      type: object
      x-examples:
        Example 1:
          id: 550e8400-e29b-41d4-a716-446655440000
          company_id: 550e8400-e29b-41d4-a716-446655440001
          wo_number: 12345
          name: Work Order 1
          description: This is a test work order
          component_id: 550e8400-e29b-41d4-a716-446655440002
          part_number_id: null
          created_at: '2023-06-27T10:15:00.000Z'
          created_by_user_id: 550e8400-e29b-41d4-a716-446655440003
          status: APPROVED
          phase: Phase 1
          quantity: 10
          approvals:
            - approver_id: 550e8400-e29b-41d4-a716-446655440004
              requested_by: 550e8400-e29b-41d4-a716-446655440005
              requested_at: '2023-06-26T08:00:00.000Z'
              status: null
              last_updated_at: null
          assignee_user_id: 550e8400-e29b-41d4-a716-446655440006
          deadline: '2023-07-27T10:15:00.000Z'
          activity_log:
            - id: 550e8400-e29b-41d4-a716-446655440007
              message: Work order created
              created_at: '2023-06-27T10:15:00.000Z'
              created_by: 550e8400-e29b-41d4-a716-446655440008
              type: CREATION
          last_edited_at: '2023-06-27T10:20:00.000Z'
      description: Work Order Data
      properties:
        id:
          type: string
        wo_number:
          type: integer
          minimum: 0
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        component_id:
          type: string
        part_number_id:
          type:
            - string
            - 'null'
          format: uuid
        created_at:
          type: string
          format: date-time
        created_by_user_id:
          type: string
          format: uuid
        status:
          enum:
            - DRAFT
            - REVIEW
            - PRODUCTION
            - COMPLETE
            - CANCELED
            - ARCHIVED
          default: DRAFT
        phase:
          type: string
        quantity:
          type: integer
        approvals:
          type: object
          description: Approvals object will have one key value pair for every approver
          properties:
            '[approver_user_id]':
              type: object
              x-stoplight:
                id: 2de15jln9d5rj
              properties:
                approver_user_id:
                  type: string
                  format: uuid
                  x-stoplight:
                    id: 1lkn81sb5itfg
                requested_by_user_id:
                  type: string
                  format: uuid
                  x-stoplight:
                    id: 2u2e3mz9tj0vn
                requested_at:
                  type: string
                  format: date-time
                status:
                  enum:
                    - APPROVED
                    - REJECTED
                    - null
                last_updated_at:
                  type:
                    - string
                    - 'null'
                  format: date-time
        assignee_user_id:
          type:
            - string
            - 'null'
          format: uuid
        deadline:
          type:
            - string
            - 'null'
          format: date-time
        activity_log:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              message:
                type:
                  - string
                  - 'null'
              added_at:
                type: string
                format: date-time
                x-stoplight:
                  id: namn2karaaux7
              added_by_user_id:
                type: string
                format: uuid
                x-stoplight:
                  id: 50mo1pr3t2i5r
              type:
                enum:
                  - CREATED
                  - COMMENTED
                  - SET_STATUS
                  - GENERAL_UPDATE
                  - SET_APPROVAL
                  - UPDATED_APPROVERS
                  - REMOVED_APPROVAL
              data:
                type: string
                x-stoplight:
                  id: 13txktq4uwfrl
                description: Data object dependant on the activity type
        last_edited_at:
          type:
            - string
            - 'null'
          format: date-time
        attachments:
          type: array
          x-stoplight:
            id: 8rlgsuy75vqly
          description: Multiple datasets can be added to the attachments object
          items:
            x-stoplight:
              id: zx4wqr1jrbnmc
            type: object
            properties:
              dataset_id:
                type: string
                x-stoplight:
                  id: 1j8c082mffovz
                format: uuid
              value:
                type: string
                x-stoplight:
                  id: tlav6dj9prhzu
                description: >-
                  Value is the file id if the data type is file or image.
                  Otherwise it is the attachment text value
              file_name:
                type:
                  - string
                  - 'null'
                x-stoplight:
                  id: s33ev6fa0xciv
                format: uuid
              added_at:
                type: string
                x-stoplight:
                  id: igyrvi94hruib
                format: date-time
              added_by_user_id:
                type: string
                x-stoplight:
                  id: da6jads6oqvh3
              is_deleted:
                type: boolean
                x-stoplight:
                  id: dhrjruagqnjte
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````